Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IInvertMap

    java.lang.Object
      igeo.IMap
          igeo.IInvertMap

    public class IInvertMap

extends IMap

A subclass of IMap defined by inverting value from 0 to 1 and 1 to 0.

Author:
  Satoru Sugihara

Field Summary
`IMap` | `map`

Fields inherited from class igeo.IMap
`defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

Constructor Summary
`IInvertMap(IMap m)`

Method Summary
`void` | `flipU()` to be defined in sub class
`void` | `flipV()` to be defined in sub class
`double` | `get(double u, double v)` A main method to get a value of the map.

Methods inherited from class igeo.IMap
`createImage, createImage, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    public IMap map

Constructor Detail

### IInvertMap

    public IInvertMap(IMap m)

Method Detail

### get

    public double get(double u,
                      double v)

  Description copied from class: `IMap`
  A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.

  Overrides:
    `get` in class `IMap`
  Parameters:
    `u` - u coordinates ranges 0.0 - 1.0
    `v` - v coordinates ranges 0.0 - 1.0
  Returns:
    value of the map.

### flipU

    public void flipU()

  Description copied from class: `IMap`
  to be defined in sub class

  Overrides:
    `flipU` in class `IMap`

### flipV

    public void flipV()

  Description copied from class: `IMap`
  to be defined in sub class

  Overrides:
    `flipV` in class `IMap`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD